//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ComCtrls.hpp>
#include <Buttons.hpp>
#include <Graphics.hpp>

//---------------------------------------------------------------------------
class TMForm : public TForm
{
__published:	// IDE-managed Components
        TButton *StartButton;
        TImage *BgImage;
        TPanel *Panel2;
        TPanel *Panel1;
        TTrackBar *LAmplitudeTrackBar;
        TPanel *Panel3;
        TLabel *Label1;
        TTrackBar *LPhaseTrackBar;
        TEdit *LPhaseEdit;
        TPanel *Panel4;
        TTrackBar *LFreqTrackBar;
        TLabel *Label2;
        TUpDown *LFEUpDown;
        TEdit *LFreqEdit;
        TSpeedButton *SndVolButton;
        TImage *FImage;
        TPanel *Panel5;
        TLabel *Label3;
        TTrackBar *RPhaseTrackBar;
        TEdit *RPhaseEdit;
        TPanel *Panel6;
        TLabel *Label4;
        TTrackBar *RFreqTrackBar;
        TUpDown *RFEUpDown;
        TEdit *RFreqEdit;
        TTrackBar *RAmplitudeTrackBar;
        TLabel *Label5;
        TLabel *Label6;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall StartButtonClick(TObject *Sender);
        void __fastcall LFreqTrackBarChange(TObject *Sender);
        void __fastcall LFEUpDownClick(TObject *Sender, TUDBtnType Button);
        void __fastcall LFreqEditKeyPress(TObject *Sender, char &Key);
        void __fastcall LAmplitudeTrackBarChange(TObject *Sender);
        void __fastcall SndVolButtonClick(TObject *Sender);
        void __fastcall LPhaseTrackBarChange(TObject *Sender);
        void __fastcall RPhaseTrackBarChange(TObject *Sender);
        void __fastcall RFreqTrackBarChange(TObject *Sender);
        void __fastcall RFreqEditKeyPress(TObject *Sender, char &Key);
        void __fastcall RFEUpDownClick(TObject *Sender, TUDBtnType Button);
        void __fastcall RAmplitudeTrackBarChange(TObject *Sender);
private:	// User declarations
public: void MRepaint(void);
        __fastcall TMForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMForm *MForm;
//---------------------------------------------------------------------------
#endif
